# Configuration file

##########################################################################################################
# client settings
#--------------------------------------------------------------------------------------------------------#
# Client-Side settings
##########################################################################################################

"client settings" {
    # Directly teleports the player on waystone right-click [default: true]
    B:skipTeleportConfirm=true
}


##########################################################################################################
# limitaion
#--------------------------------------------------------------------------------------------------------#
# Teleport limitaion settings
##########################################################################################################

limitaion {
    # The amount of items players always have to pay when teleporting, regardless of the distance. For the total cost, this amount will be added to the distance-based cost. [range: 1 ~ 2147483647, default: 1]
    I:constantPaymentPerTeleport=1

    # Deactivates teleportation and the waystone recipe, since it isn't needed [default: false]
    B:deactivateTeleportation=true

    # The distance a Player can teleport with one item (the total cost of a teleportation is calculated using the total distance)(0 = unlimited) [range: 0 ~ 2147483647, default: 0]
    I:distancePerPayment=0

    # Enables interdimensional teleportation (e.g. overworld-nether) [default: true]
    B:interdimensional=true

    # The allowed distance between signpost an waystone (-1 = unlimited) [range: -1 ~ 46340, default: -1]
    I:maxDistance=-1

    # The amount of signposts a player is allowed to place (-1 = unlimited) [range: -1 ~ 2147483647, default: -1]
    I:maxSignposts=-1

    # The amount of waystones a player is allowed to place (-1 = unlimited) [range: -1 ~ 2147483647, default: -1]
    I:maxWaystones=-1

    # The item players have to pay in order to use a signpost (e.g. minecraft:enderPearl, '' = free) [default: ]
    S:paymentItem=

    # Changes the recipe for signposts (NORMAL/EXPENSIVE/VERY_EXPENSIVE/DEACTIVATED) [default: NORMAL]
    S:signpostRecipeCost=NORMAL

    # Decide what waystone models can be crafted. You can look up the model names at https://www.curseforge.com/minecraft/mc-mods/signpost/pages/waystone-models [default: [simple0], [simple1], [simple2], [detailed0], [detailed1], [aer], [dwarf], [ygnar]]
    S:waystoneModelCraftingTypes <
        simple0
        simple1
        simple2
        detailed0
        detailed1
        aer
        dwarf
        ygnar
     >

    # Decide what waystone models are generated in villages. You can look up the model names at https://www.curseforge.com/minecraft/mc-mods/signpost/pages/waystone-models [default: [simple0], [simple1], [simple2], [detailed0], [detailed1]]
    S:waystoneModelVillageTypes <
        simple0
        simple1
        simple2
        detailed0
        detailed1
     >

    # Changes the recipe for waystones (NORMAL/EXPENSIVE/VERY_EXPENSIVE/DEACTIVATED) [default: NORMAL]
    S:waystoneRecipeCost=NORMAL
}


##########################################################################################################
# security
#--------------------------------------------------------------------------------------------------------#
# Security settings
##########################################################################################################

security {
    # Allows players to travel to waystones without the need to discover them [default: false]
    B:disableDiscovery=false

    # Defines which players can place and edit a signpost (ALL, OWNERS, CREATIVEONLY, OPONLY). OPs are always included, 'OWNERS' = everyone can place, only the owner+OPs can edit. [default: ALL]
    S:signpostPermissionLevel=OWNERS

    # Defines which players can place and edit a waystone (ALL, OWNERS, CREATIVEONLY, OPONLY). OPs are always included, 'OWNERS' = everyone can place, only the owner+OPs can edit. [default: ALL]
    S:waystonePermissionLevel=OWNERS
}


##########################################################################################################
# worldgen
#--------------------------------------------------------------------------------------------------------#
# World generation settings
##########################################################################################################

worldgen {
    # Disables the generation of signposts and waystones in villages [default: false]
    B:disableVillageGeneration=true

    # Defines wether signposts in villages can be generated with waystones placed by players as destinations [default: true]
    B:onlyVillageDestinations=true

    # The maximum count of signposts spawning in villages [range: 0 ~ 2147483647, default: 1]
    I:villageMaxSignposts=1

    # Defines the village component weight of signposts [range: 0 ~ 2147483647, default: 20]
    I:villageSignpostsWeight=20

    # Defines the village component weight of waystones [range: 0 ~ 2147483647, default: 20]
    I:villageWaystoneWeight=20
}


